### Method

# Foundry IntentHandler dispatch

#### Declaration [src]

    DexFuture*
    foundry_intent_handler_dispatch (
      FoundryIntentHandler* self,
      FoundryIntent* intent
    )

#### Description [src]

Dispatches the intent.

If this handler cannot handle this intent type it just reject with `G_IO_ERROR` and `G_IO_ERROR_NOT_SUPPORTED`.

#### Parameters

`intent`

  Type: `FoundryIntent`

  No description available.

  The data is owned by the caller of the method.

#### Return value

Type: `DexFuture`

A `DexFuture` that resolves to any value if successful; otherwise rejects with error.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.